Bug 524654 - turn off wide-area avahi browsing by default
Summary: turn off wide-area avahi browsing by default
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 15:57 UTC by Frank Ch. Eigler
Modified: 2015-02-17 13:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:15:02 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2009-09-21 15:57:09 UTC
It is undesirable to have the demonstration avahi wide-area domains'
("0pointer.de" and "zeroconf.org") doodads show up in an
"avahi-discover" view.  That data is cute but useless.

Please either turn off wide-area stuff by default, or take out those
two demonstration domains from /etc/avahi/avahi-daemon.conf.

Comment 1 Bug Zapper 2010-04-28 10:31:05 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Frank Ch. Eigler 2010-04-28 11:26:40 UTC
Still an issue in F13.

Comment 3 Bug Zapper 2011-06-02 17:42:36 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Frank Ch. Eigler 2011-06-02 18:42:31 UTC
Still present.
0pointer.de and zeroconf.org still spam.

Comment 5 Fedora End Of Life 2013-04-03 18:46:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 Christian Krause 2013-09-16 22:28:30 UTC
(In reply to Frank Ch. Eigler from comment #0)
> It is undesirable to have the demonstration avahi wide-area domains'
> ("0pointer.de" and "zeroconf.org") doodads show up in an
> "avahi-discover" view.  That data is cute but useless.

I'd like to second this request. Zeroconf is used more and more (e.g. cups seems to move from its old 'cups' protocol to zeroconf/dns-sd for discovering remote printers), these demonstration defaults get more disturbing.

Since the whole idea of the zeroconf technology is to avoid configuration, the default setting should be sane and not contain unwanted and useless data which may misguide people.

> Please either turn off wide-area stuff by default, or take out those
> two demonstration domains from /etc/avahi/avahi-daemon.conf.

Yes and No. ;-)

Multicast-based DNS-SD only works on the same subnet. For using zeroconf in a routed setup (e.g. to announce remote printers which are in a different subnet), wide-area DNS-SD is needed.

By adding the appropriate DNS records to the DNS server hosting the domain used by the PCs, an administrator can make these printers available without any client configuration.

So removing the demonstration URLs would be good, but the wide-area domain support should stay on (it will automatically use the domain of the hostname of the PC).


It would be great if this change could be considered (if possible for all releases down to F19).

Comment 7 Fedora End Of Life 2015-01-09 16:13:28 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-02-17 13:15:02 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.